=== debian/changelog ===
ros-one-eus-assimp (0.4.5-39jammy.20251023.1007) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:07:49 +0000

ros-one-eus-assimp (0.4.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 30 Nov 2023 00:00:00 -0000

ros-one-eus-assimp (0.4.4-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 May 2022 00:00:00 -0000

ros-one-eus-assimp (0.4.3-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Dec 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.2-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.1-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.0-0jammy) jammy; urgency=high

  * since euslisp 9.25.0, we need to add 5 arguments including doc string with defun() (#217 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/217>)
  * [eus_assimp] add use-coordinate option to append-vertices in order to express all the vertices respect to world frame (#210 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/210>)
  * [eus_assimp] need to set faces before calling gl::make-glvertices-fro (#208 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/208>)
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * fix for arm64/v8 aarch64 is 64bit
  * [eus_assimp] mesh2wrl.sh: add utility scripts  (#206 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/206>)
  * Contributors: Eisoku Kuroiwa, Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-eus-assimp (0.3.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.4-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.3-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.2-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.1-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.0-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-eus-assimp (0.2.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Oct 2016 00:00:00 -0000

ros-one-eus-assimp (0.2.4-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 30 Apr 2016 00:00:00 -0000

ros-one-eus-assimp (0.2.3-0jammy) jammy; urgency=high

  * [eus_assimp] fix function name
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 31 Dec 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.2-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 11 Dec 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.1-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 27 Nov 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.0-0jammy) jammy; urgency=high

  * move to 0.2.0, which only available from indigo
  * [eus_assimp] Add .gitignore
  * Contributors: Kentaro Wada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 26 Nov 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.13-0jammy) jammy; urgency=high

  * move functions to jskeus
  * add function for glvertices
  * fix minor bugs
  * move functions to jskeus
  * add dump-glvertices-to-wrl for creating wrl mesh file from glvertices
  * 0.1.12
  * update CHANGELOG (For releasing 0.1.12 DRC Final version)
  * [jsk_model_tools] remove old rosmake files
  * Contributors: Kei Okada, Yohei Kakiuchi, Iori Yanokura

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.12-0jammy) jammy; urgency=high

  * [jsk_model_tools] remove old rosmake files
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 07 May 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.11-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.10-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 02 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.9-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 01 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.8-0jammy) jammy; urgency=high

  * fix for new euslisp layout
  * eus_assimp: build_depend on pkg-config
  * Contributors: Scott K Logan, Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Jan 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.7-0jammy) jammy; urgency=high

  * fix parsing file extention, in order to use .stlb extention for exporting mesh as STL Binary format
  * use tiff file for texture
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Dec 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.6-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 30 Jun 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sun, 29 Jun 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.4-0jammy) jammy; urgency=high

  * update convex-decomposition parameters
  * add include directory for SDL
  * using SDL in hydro if exists
  * Contributors: Yohei Kakiuchi


