=== debian/control ===
Source: ros-one-eus-assimp
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-one-assimp-devel, ros-one-catkin, ros-one-euslisp (>= 9.25.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-eus-assimp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-assimp-devel, ros-one-roseus (>= 1.7.1)
Description: eus_assimp
